Subject: [Lsr] RFC 8362 on OSPFv3 Link State Advertisement (LSA) Extensibility

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 4 Apr 2018 17:30:37 +0000

[email-masked] Wed, 04 April 2018 04:08 UTCShow header<https://mailarchive.ietf.org/arch/msg/ietf-announce/dd-sxdg2allXlH49j1FASFir-RI>

A new Request for Comments is now available in online RFC libraries.

        RFC 8362

        Title:      OSPFv3 Link State Advertisement (LSA)

                    Extensibility

        Author:     A. Lindem,

                    A. Roy,

                    D. Goethals,

                    V. Reddy Vallem,

                    F. Baker

        Status:     Standards Track

        Stream:     IETF

        Date:       April 2018

        Mailbox:    [email-masked]<mailto:[email-masked]>,

                    [email-masked]<mailto:[email-masked]>,

                    [email-masked]<mailto:[email-masked]>,

                    [email-masked]<mailto:[email-masked]>,

                    [email-masked]<mailto:[email-masked]>

        Pages:      33

        Characters: 70850

        Updates:    RFC 5340, RFC 5838

        I-D Tag:    draft-ietf-ospf-ospfv3-lsa-extend-23.txt

        URL:        https://www.rfc-editor.org/info/rfc8362

        DOI:        10.17487/RFC8362

OSPFv3 requires functional extension beyond what can readily be done

with the fixed-format Link State Advertisement (LSA) as described in

RFC 5340.  Without LSA extension, attributes associated with OSPFv3

links and advertised IPv6 prefixes must be advertised in separate

LSAs and correlated to the fixed-format LSAs.  This document extends

the LSA format by encoding the existing OSPFv3 LSA information in

Type-Length-Value (TLV) tuples and allowing advertisement of

additional information with additional TLVs.  Backward-compatibility

mechanisms are also described.

This document updates RFC 5340, "OSPF for IPv6", and RFC 5838,

"Support of Address Families in OSPFv3", by providing TLV-based

encodings for the base OSPFv3 unicast support and OSPFv3 address

family support.

This document is a product of the Open Shortest Path First IGP Working Group of the IETF.

This is now a Proposed Standard.

STANDARDS TRACK: This document specifies an Internet Standards Track

protocol for the Internet community, and requests discussion and suggestions

for improvements.  Please refer to the current edition of the Official

Internet Protocol Standards (https://www.rfc-editor.org/standards) for the

standardization state and status of this protocol.  Distribution of this

memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.

To subscribe or unsubscribe, see

  https://www.ietf.org/mailman/listinfo/ietf-announce

  https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see https://www.rfc-editor.org/search

For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk

Requests for special distribution should be addressed to either the

author of the RFC in question, or to [email-masked]<mailto:[email-masked]>.  Unless

specifically noted otherwise on the RFC itself, all RFCs are for

unlimited distribution.

The RFC Editor Team

Association Management Solutions, LLC